Package org.jfree.layouting.input.style.values

## Class CSSNumericValue

- java.lang.Object
- - org.jfree.layouting.input.style.values.CSSNumericValue

- All Implemented Interfaces:
    `java.io.Serializable`, `CSSValue`
  Direct Known Subclasses:
    `CSSTimeValue`

      public class CSSNumericValue
      extends java.lang.Object
      implements CSSValue

  Creation-Date: 23.11.2005, 11:37:44
  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static CSSNumericValue` | `ZERO_LENGTH` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CSSNumericValue​(CSSNumericType type, double value)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CSSNumericValue` | `createPtValue​(double value)` |
    `static CSSNumericValue` | `createValue​(CSSNumericType type, double value)` |
    `java.lang.String` | `getCSSText​()` |
    `CSSNumericType` | `getType​()` |
    `double` | `getValue​()` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ZERO_LENGTH

          public static final CSSNumericValue ZERO_LENGTH

  - ### Constructor Detail

    - #### CSSNumericValue

          protected CSSNumericValue​(CSSNumericType type,
                                    double value)

  - ### Method Detail

    - #### getValue

          public double getValue​()

    - #### getType

          public CSSNumericType getType​()

    - #### getCSSText

          public java.lang.String getCSSText​()

      Specified by:
        `getCSSText` in interface `CSSValue`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### createPtValue

          public static CSSNumericValue createPtValue​(double value)

    - #### createValue

          public static CSSNumericValue createValue​(CSSNumericType type,
                                                    double value)